-- Test translation
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(5);

set search_path to camper, public;

select has_composite('camper', 'translation', 'Composite type camper.translation should exist');
select columns_are('camper', 'translation', array['lang_tag', 'endonym', 'missing']);
select col_type_is('camper'::name, 'translation'::name, 'lang_tag'::name, 'text');
select col_type_is('camper'::name, 'translation'::name, 'endonym'::name, 'text');
select col_type_is('camper'::name, 'translation'::name, 'missing'::name, 'boolean');


select *
from finish();

rollback;
